TRAFFIC_SERVER(8)

NAME
traffic_server - Traffic Server

DESCRIPTION

OPTIONS

    -a, --accepts_thread

    -B TAGS, --action_tags TAGS

    --bind_stdout FILE

The file to which the stdout stream for Traffic Server will be bound.

    --bind_stderr FILE

The file to which the stderr stream for Traffic Server will be bound.

    -C 'CMD [ARGS]', --command 'CMD [ARGS]'

Run a Traffic Server maintenance command. These commands perform various administrative actions or queries against Traffic Server. Note that some commands (such as help and verify_global_plugin) take an argument. To invoke the command and its argument, surround the CMD and its argument in quotes. For instance, to request help for the verify_global_plugin command, format your command like so:

            traffic_server -C "help verify_global_plugin"

The following commands are supported:

    list
        List the sizes of the host database and cache index as well as the storage available to the cache.

    check
        Check the cache for inconsistencies or corruption. check does not make any changes to the data stored in the cache. check requires a scan of the contents of the cache and may take a long time for large caches.

    clear
        Clear the entire cache, both the document and the host database caches. All data in the cache is lost and the cache is reconfigured based on the current description of database sizes and available storage.

    clear_cache
        Clear the document cache. All documents in the cache are lost and the cache is reconfigured based on the current description of database sizes and available storage.

    clear_hostdb
        Clear the entire host database cache. All host name resolution information is lost.

    verify_config
        Load the config and verify Traffic Server comes up correctly.

    verify_global_plugin PLUGIN_SO_FILE
        Load a global plugin's shared object file and verify it meets minimal global plugin API requirements.

    verify_remap_plugin PLUGIN_SO_FILE
        Load a remap plugin's shared object file and verify it meets minimal remap plugin API requirements.

    help [CMD]
        Obtain a short description of a command. For example, 'help clear' prints a description of the clear maintenance command. If no argument is passed to help then a list of the supported maintenance commands are printed along with a brief description of each.

    -f, --disable_freelist

In order to improve performance, traffic_server caches commonly used data structures in a set of free object lists. This option disables these caches, causing traffic_server to use malloc(3) for every allocation. Though this option should not commonly be needed, it may be beneficial in memory-constrained environments or where the working set is highly variable.

    -F, --disable_pfreelist

Disable free list in ProxyAllocator which were left out by the -f option. This option includes the functionality of -f.

    -R LEVEL, --regression LEVEL

    -r TEST, --regression_test TEST

    -l, --regression_list

If Traffic Server was built with tests enabled, this option lists the available tests.

    -T TAGS, --debug_tags TAGS

    -i COUNT, --interval COUNT

    -m COUNT, --maxRecords

The maximum number of entries in metrics and configuration variables. The default is 1600, which is also the minimum. This may need to be increased if running plugins that create metrics.

    -M, --remote_management

Indicates the process should expect to be managed by traffic_manager. This option should not be used except by that process.

    -n COUNT, --net_threads COUNT

    -k, --clear_hostdb

    -K, --clear_cache

    --accept_mss MSS

    -t MSECS, --poll_timeout MSECS

    -h, --help
        Print usage information and exit.

    -p PORT, --httpport PORT

    -U COUNT, --udp_threads COUNT

    -V, --version
        Print version information and exit.

ENVIRONMENT

    PROXY_REMOTE_MGMT

This environment variable forces traffic_server to believe that it is being managed by traffic_manager.

    PROXY_AUTO_EXIT

When this environment variable is set to an integral number of seconds, traffic_server will exit that many seconds after startup. This is primarily useful for testing.

SIGNALS

    SIGINT, SIGTERM
        On SIGINT and SIGTERM, traffic_server exits.

    SIGUSR1
        On SIGUSR1, traffic_server logs its current memory usage.

    SIGUSR2
        On SIGUSR2, traffic_server re-opens its standard error and standard out file descriptors.

SEE ALSO

traffic_ctl(8), traffic_manager(8)

COPYRIGHT
2026, dev@trafficserver.apache.org